Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 16-05-2017 12:32:12

BLIDE
Membre
Inscription : 16-05-2017

Erreur lors de l'installation du paquet mysql-server

Alors que je m’appète à faire un serveur mail, en suivant ce tutoriel https://www.tictech.info/post/mail_preparation#toc0 . Lors des premières étapes j'ai directement une erreur que j'essaye de résoudre, cela fait quelques jours...

L'erreur est :

apt install mysql-server


Reading package lists... Done
Building dependency tree
Reading state information... Done
mysql-server is already the newest version.
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 mysql-server : Depends: mysql-server-5.5 but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
 



Serait-ce une non-comptabilité du paquet, le tuto est en debian 7 alors que je suis en 8?
PS: J'ai/avais une base de donnée en MariaDB

En fassent apt-get -f install comme demandé dans le message d'erreur, une autre erreur intervient...

apt-get -f install


Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  mysql-server-5.5
Suggested packages:
  mailx tinyca
The following NEW packages will be installed:
  mysql-server-5.5
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
9 not fully installed or removed.
Need to get 0 B/1,774 kB of archives.
After this operation, 32.4 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Preconfiguring packages ...
(Reading database ... 34639 files and directories currently installed.)
Preparing to unpack .../mysql-server-5.5_5.5.55-0+deb8u1_amd64.deb ...
Failed to stop mysql.service: Unit mysql.service not loaded.
invoke-rc.d: initscript mysql, action "stop" failed.
invoke-rc.d returned 5
There is a MySQL server running, but we failed in our attempts to stop it.
Stop it yourself and try again!
dpkg: error processing archive /var/cache/apt/archives/mysql-server-5.5_5.5.55-0+deb8u1_amd64.deb (--unpack):
 subprocess new pre-installation script returned error exit status 1
Errors were encountered while processing:
 /var/cache/apt/archives/mysql-server-5.5_5.5.55-0+deb8u1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
 




Merci d'avance pour votre aide, n'hésitez pas à me demander plus d'informations

Hors ligne

#2 20-05-2017 20:12:33

tux12
Membre
Lieu : ./
Distrib. : stable
Noyau : celui de la stable
(G)UI : KDE
Inscription : 27-02-2008

Re : Erreur lors de l'installation du paquet mysql-server

There is a MySQL server running, but we failed in our attempts to stop it.
Stop it yourself and try again!


Il semble y avoir déjà un serveur MySQL installé et lancé d'après le message d'erreur.

Hors ligne

Pied de page des forums